package com.unis.detectionnum.server.dao;

import com.unis.detectionnum.server.entity.ScanRuleDO;

public interface ScanRuleDao {
    int deleteByPrimaryKey(Integer id);

    int deleteBySbCode(String id);

    int insert(ScanRuleDO record);

    int insertSelective(ScanRuleDO record);

    ScanRuleDO selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ScanRuleDO record);

    int updateByPrimaryKey(ScanRuleDO record);

	/** 
	 * @Title: selectBySbCode 
	 * @Description: 扫描规则详情
	 * @param sbCode
	 * @return ScanRuleDO
	 * @throws 
	 */
	ScanRuleDO selectBySbCode(String sbCode);

	/** 
	 * @Title: updateBySbCodeKeySelective 
	 * @Description: 根据sbCode修改
	 * @param scanRuleDO
	 * @return intselectByIsOut
	 * @throws 
	 */
	int updateBySbCodeKeySelective(ScanRuleDO scanRuleDO);


	/**
	 * @Title: selectBySbCode
	 * @Description: 查询(1.出入库0.库存)
	 * @param sbCode
	 * @return ScanRuleDO
	 * @throws
	 */
	ScanRuleDO selectByIsOut(String sbCode);
}